Skip to main content
GET
/
v1
/
recordings
List recordings
curl --request GET \
  --url https://integrations.salesask.com/v1/recordings \
  --header 'x-api-key: <api-key>'
{
  "recordings": [
    {
      "id": "abc123",
      "name": "Call with John Doe",
      "status": "processed",
      "organizationId": "org_abc",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "duration": 1800000,
      "urls": {
        "original": "<string>",
        "mp3": "<string>"
      },
      "summary": "<string>",
      "notes": "<string>",
      "actionItems": null,
      "coaching": null,
      "tags": [
        "<string>"
      ],
      "recording": "https://integrations.salesask.com/meetings/abc123"
    }
  ],
  "nextCursor": "2023-11-07T05:31:56Z",
  "hasMore": true
}

Authorizations

x-api-key
string
header
required

Query Parameters

fromDate
string<date-time>

Filter recordings created on or after this date (ISO 8601)

toDate
string<date-time>

Filter recordings created on or before this date (ISO 8601)

limit
integer
default:25

Number of results to return

Required range: 1 <= x <= 100
startAfter
string<date-time>

Pagination cursor. Pass the nextCursor value from the previous response.

Response

OK

recordings
object[]
nextCursor
string<date-time> | null
hasMore
boolean